<?php

error_reporting(E_ERROR);

require 'config.php';

$url = KC_APIURL . filter_input(INPUT_GET, 'endPoint', FILTER_SANITIZE_STRING);
$postData = json_decode($HTTP_RAW_POST_DATA, true);
$postData['merchantId'] = KC_MERCHANTID;

$jsonData = json_encode($postData);

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $jsonData);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
curl_setopt($ch, CURLOPT_HEADER, true);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$userAgent = filter_input(
    INPUT_SERVER, 'HTTP_USER_AGENT', FILTER_SANITIZE_STRING
);
curl_setopt($ch, CURLOPT_USERAGENT, $userAgent);
curl_setopt($ch, CURLOPT_HTTPHEADER, array(
    'X-KountCentral-ApiKey: ' . KC_APIKEY,
    "Expect:" /* Prevent HTTP 100 Continues being put into the response */
));


$response = curl_exec($ch);
if ($response) {
    // Parse the response
    list( $header, $contents ) = explode("\r\n\r\n", $response, 2);
    print $contents;
} else {
    // Create an error structure to return the error from the curl call
    $data = array();
    $error = array();
    $error['code'] = curl_errno($ch);
    $error['message'] = curl_error($ch);
    $data['errors'][] = $error;
    $json = json_encode($data);
    print $json;
}
curl_close($ch);
