'use strict';

/* Services */

var kcRefServices = angular.module('kcRef.services', []);

kcRefServices.factory('apiProxy', ['$http', '$location',
                                   function($http, $location) {
		return {
			post: function(endPoint, data) {
				var postData = angular.toJson(data);
				var url = $location.path() + 'php/proxy.php?endPoint=' + endPoint;
				
				return $http.post(url, postData).then(function(data) {
					if (data !== undefined && data.data.hasOwnProperty('errors')) {
						return data.data;
					} else {
						return undefined;
					}
				});
			}
		};
	}]);
